%define ff_epoch 0
%define ff_ver 2.0.0.13
%define realname flashgot

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: Flashgot extension for firefox
Name: mozilla-firefox-ext-%{realname}
Version: 0.8.1
Release: %mkrel 2
License: GPLv2+
Group: Networking/WWW
URL: http://flashgot.net
Source: http://software.informaction.com/data/releases/%{realname}-%{version}.xpi
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}
Suggests: kget curl gwget

%description
FlashGot is the free Mozilla / Firefox / Flock / Thunderbird extension
(compatible with Netscape too), meant to handle single and massive ("all"
and "selection") downloads with several external Download Managers.

%prep
%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 0.8.1-2mdv2008.1
+ Revision: 190329
- bump ff_ver and release

* Sat Mar 01 2008 Funda Wang <fundawang@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 177074
- New version 0.8.1

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.7.9-1mdv2008.1
+ Revision: 164618
- New version 0.7.9

* Sat Jan 05 2008 Funda Wang <fundawang@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 145661
- New version 0.7.2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-2mdv2008.1
+ Revision: 117793
- own firefox directories so that they're not left behind on uninstall

* Wed Dec 12 2007 Funda Wang <fundawang@mandriva.org> 0.7-1mdv2008.1
+ Revision: 117656
- New version 0.7

* Wed Dec 12 2007 Funda Wang <fundawang@mandriva.org> 0.6.9.9-2mdv2008.1
+ Revision: 117623
- rebuild for new ff

* Sun Nov 18 2007 Funda Wang <fundawang@mandriva.org> 0.6.9.9-1mdv2008.1
+ Revision: 109780
- Suggests gwget and kget
- suggests aria2 curl
- import source and spec
- Created package structure for mozilla-firefox-ext-flashgot.

